Bug 1125762

Summary: There is no ruby-2.0 cartridge on STG
Product: OpenShift Online Reporter: Yan Du <yadu>
Component: PodAssignee: Abhishek Gupta <abhgupta>
Status: CLOSED CURRENTRELEASE QA Contact: libra bugs <libra-bugs>
Severity: medium Docs Contact:
Priority: high    
Version: 2.xCC: dakini, jokerman, mmccomas
Target Milestone: ---Keywords: TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-10 00:50:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Yan Du 2014-08-01 03:07:23 UTC
Description of problem:
There is no ruby-2.0 cartridge on STG


Version-Release number of selected component (if applicable):
STG(devenv_stage_939)


How reproducible:
always



Steps to Reproduce:
1. rhc cartridge list | grep ruby



Actual results:
root@openshift-ubuntu:~/test# rhc cartridge list | grep ruby
ruby-1.8            Ruby 1.8                                web
ruby-1.9            Ruby 1.9                                web



Expected results:
ruby-2.0 cartridge is available


Additional info:
ruby-2.0 cartridge is available on INT or devenv-stage-937

[root@localhost test]# rhc cartridges | grep ruby
ruby-1.8              Ruby 1.8                                web
ruby-1.9              Ruby 1.9                                web
ruby-2.0              Ruby 2.0                                web

Comment 1 Stefanie Forrester 2014-08-01 17:22:43 UTC
Somehow during the STG deploy, this cartridge was not activated. We checked the logs and verified that the following was run in STG:

oo-admin-ctl-cartridge -c import-node --activate --obsolete

However, this did not activate the cartridge as expected. So we manually activated it using this:

oo-admin-ctl-cartridge -c activate -n ruby-2.0

That appears to have resolved the issue.

[dakini@nibbana ~]$ rhc cartridges | grep ruby
ruby-1.8            Ruby 1.8                                web
ruby-1.9            Ruby 1.9                                web
ruby-2.0            Ruby 2.0                                web

Comment 2 Yan Du 2014-08-02 12:29:19 UTC
Test on STG(devenv-stage_946) 

Issue have been fixed.

root@openshift-ubuntu:~/test# rhc cartridge list | grep ruby
ruby-1.8            Ruby 1.8                                web
ruby-1.9            Ruby 1.9                                web
ruby-2.0            Ruby 2.0                                web

Move bug to verified. Thanks.